<mat-card class="margin-top-10" [ngClass] = "editing ? 'editing' : ''">
  <div *ngIf="title && content.children.length === 0">{{ title }} </div>
  <mat-card-title *ngIf="title && content.children.length > 0">{{ title }} </mat-card-title>
  <mat-divider *ngIf="title && content.children.length > 0"></mat-divider>
  <mat-card-content class="margin-top-15" [ngStyle]="content.children.length > 0 ? {'display': 'unset'} : {'display': 'none'} " #content>
    <ng-content></ng-content>
  </mat-card-content>
</mat-card>
